package com.phlx.wool.entity;

/**
 * <pre>
 *     author : lei
 *     e-mail : 18600395998@163.com
 *     time   : 2020/04/13
 *     desc   :
 *     version: 1.0
 * </pre>
 */
public class User {


    /**
     * user : {"dept":{"deptId":"106","deptName":"苏尼特左旗"},"deptId":"106","email":"sy@126.com",
     * "loginName":"ds01","phonenumber":"13566666666","userId":"106","userName":"苏尼特左旗01"}
     * token : fabe3e2ca39843ba9643b27b0db5c548
     */

    private UserBean user;
    private String token;

    public UserBean getUser() {
        return user;
    }

    public void setUser(UserBean user) {
        this.user = user;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }



    public static class UserBean {
        /**
         * dept : {"deptId":"106","deptName":"苏尼特左旗"}
         * deptId : 106
         * email : sy@126.com
         * loginName : ds01
         * phonenumber : 13566666666
         * userId : 106
         * userName : 苏尼特左旗01
         */

        private DeptBean dept;
        private String deptId;
        private String email;
        private String loginName;
        private String phonenumber;
        private String userId;
        private String userName;
        private String frequencyConfig;// 0高频，1低频

        public DeptBean getDept() {
            return dept;
        }

        public void setDept(DeptBean dept) {
            this.dept = dept;
        }

        public String getDeptId() {
            return deptId;
        }

        public void setDeptId(String deptId) {
            this.deptId = deptId;
        }

        public String getEmail() {
            return email;
        }

        public void setEmail(String email) {
            this.email = email;
        }

        public String getLoginName() {
            return loginName;
        }

        public void setLoginName(String loginName) {
            this.loginName = loginName;
        }

        public String getPhonenumber() {
            return phonenumber;
        }

        public void setPhonenumber(String phonenumber) {
            this.phonenumber = phonenumber;
        }

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public String getFrequencyConfig() {
            return frequencyConfig;
        }

        public void setFrequencyConfig(String frequencyConfig) {
            this.frequencyConfig = frequencyConfig;
        }

        public static class DeptBean {
            /**
             * deptId : 106
             * deptName : 苏尼特左旗
             */

            private String deptId;
            private String deptName;

            public String getDeptId() {
                return deptId;
            }

            public void setDeptId(String deptId) {
                this.deptId = deptId;
            }

            public String getDeptName() {
                return deptName;
            }

            public void setDeptName(String deptName) {
                this.deptName = deptName;
            }
        }

        @Override
        public String toString() {
            return "UserBean{" +
                    "dept=" + dept +
                    ", deptId='" + deptId + '\'' +
                    ", email='" + email + '\'' +
                    ", loginName='" + loginName + '\'' +
                    ", phonenumber='" + phonenumber + '\'' +
                    ", userId='" + userId + '\'' +
                    ", userName='" + userName + '\'' +
                    ", frequencyConfig='" + frequencyConfig + '\'' +
                    '}';
        }
    }

    @Override
    public String toString() {
        return "User{" +
                "user=" + user +
                ", token='" + token + '\'' +
                '}';
    }
}
